# Interface methods for submodule: JoinSeriesImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: JoinSeriesImageFilter
class JoinSeriesImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSpacing(self, _arg: float) -> None:
		""""""
		...

	def GetSpacing(self) -> float:
		""""""
		...

	def SetOrigin(self, _arg: float) -> None:
		""""""
		...

	def GetOrigin(self) -> float:
		""""""
		...

